

--------------------------------
--- TABELA CTB_MOVIMENTO_B2C ---
--------------------------------
IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'CTB_MOVIMENTO_B2C')
	BEGIN
		CREATE TABLE [dbo].[CTB_MOVIMENTO_B2C](
			[ID_CTB_MOVIMENTO_B2C] [bigint] IDENTITY(1,1) NOT NULL,
			[CODIGO_FILIAL] [char](6) NOT NULL,
			[PEDIDO] [int] NOT NULL,
			[PARCELA] [char](2) NOT NULL,
			[TIPO_PGTO] [char](1) NOT NULL,
			[DATA_PAGAMENTO] [datetime] NOT NULL,
			[VENCIMENTO] [datetime] NOT NULL,
			[VALOR_PAGO] [numeric](19, 2) NOT NULL,
			[CODIGO_CLIENTE] [varchar](14) NOT NULL,
			[PARCELAS_CARTAO] [int] NOT NULL,
			[CODIGO_ADMINISTRADORA] [char](2) NOT NULL,
			[NUMERO_APROVACAO_CARTAO] [varchar](15) NOT NULL,
			[CHAVE_VALE] [varchar](35) NOT NULL,
			[NUMERO_TITULO] [varchar](36) NOT NULL,
			[DATA_DIGITACAO] [datetime] NOT NULL,
			[REALOCADO] [bit] NOT NULL DEFAULT 0,
			[CANCELADO] [bit] NOT NULL DEFAULT 0
		 CONSTRAINT [PK_CTB_MOVIMENTO_B2C] PRIMARY KEY CLUSTERED 
		(
			[ID_CTB_MOVIMENTO_B2C] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
		 CONSTRAINT [XAK1_CTB_MOVIMENTO_B2C] UNIQUE NONCLUSTERED 
		(
			[PEDIDO] ASC,
			[CODIGO_FILIAL] ASC,
			[TIPO_PGTO] ASC,
			[PARCELA] ASC,
			[REALOCADO] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY];
	END